<?php
// require_once '../config/bootstrap.php';
require __DIR__."/../vendor/autoload.php";
// require __DIR__."/../config/autoloader.php";
require __DIR__."/../vendor/zeedhi/framework/bootstrap.php";
require __DIR__ . "/../vendor/teknisa/libraries-next/scripts/bootstrap.php";

// use Doctrine\DBAL\Types\Type;

// Load specified services and parameters
$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
$instanceManager->loadFromFile(__DIR__.'/../config/parameters.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/environment.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/services.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/db.xml');

$routes = [];
$routes[] = __DIR__.'/../config/routes.json';
$routes[] = __DIR__.'/../vendor/teknisa/libraries-next/libRoutes.json';
$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();
// useSetform2Classes($instanceManager);

// function useSetform2Classes($instanceManager) {
// 	Type::overrideType(Type::DATE, 'Setforms2\Shared\ORM\DateType');
// 	Type::overrideType(Type::DATETIME, 'Setforms2\Shared\ORM\DateTimeType');

//   // $entity_manager = $instanceManager->getService('entityManager');
//   // \Setforms2\Shared\Registry::store("EntityManager", $entity_manager);
//   // \Setforms2\Shared\Registry::store("EntityManagerConnection", $entity_manager->getConnection());
// }

/** @var \Zeedhi\Framework\Application $application */
$application = $instanceManager->getService('application');
$application->run();